float3 RandBarycentrics(inout uint randSeed)
{
    float s = RandFloat(randSeed);
    float t = RandFloat(randSeed);

    [flatten]if (s + t > 1.0f)
        s = 1.0f - s, t = 1.0f - t;
        
    return float3(1.0f - s - t, s, t);
}